PMP-CHECK-MYSQL-REPLICATION-RUNNING(7)

NAME
pmp-check-mysql-replication-running - Alert when MySQL replication stops.

SYNOPSIS
  Usage: pmp-check-mysql-replication-running [OPTIONS]
  Options:
    -c CRIT         Report CRITICAL when replication is stopped with or w/o errors.
    --defaults-file FILE Only read mysql options from the given file.
                    Defaults to /etc/nagios/mysql.cnf if it exists.
    -d              Useful for slaves delayed by pt-slave-delay. It will not alert
                    when IO thread is running, SQL one is not and no errors.
    -H HOST         MySQL hostname.
    -l USER         MySQL username.
    -L LOGIN-PATH   Use login-path to access MySQL (with MySQL client 5.6).
    -p PASS         MySQL password.
    -P PORT         MySQL port.
    -S SOCKET       MySQL socket file.
    -w WARN         Report WARNING when SHOW SLAVE STATUS output is empty.
    --master-conn NAME  Master connection name for MariaDB multi-source replication.
    --channel NAME  Master channel name for multi-source replication (MySQL 5.7.6+).
    --help          Print help and exit.
    --version       Print version and exit.
  Options must be given as --option value, not --option=value or -Ovalue.
  Use perldoc to read embedded documentation with more details.

DESCRIPTION
This Nagios plugin examines whether replication is running. It is separate from the check for delay because it is confusing or impossible to handle all of the combinations of replication errors and delays correctly, and provide an appropriate type of alert, in a single program.

By default, this plugin treats it as critical when the either thread stops with an error, and a warning when threads are stopped with no error. You can provide critical and warning thresholds with the -c and -w options, for compatibility with Nagios plugin conventions, but they don't work as thresholds. Instead, if you specify a critical threshold, this plugin will treat it as critical if either thread is stopped, with or without an error.

The warning threshold makes the plugin report a warning when SHOW SLAVE STATUS produces no output, which means it is not configured as a replica. By default, this plugin will report that replication is healthy when a server isn't configured as a replica.

If you want to run this check against the delayed slaves, e.g. those running with pt-slave-delay tool, you may want to specify -d option. It will not alert when Slave_IO_Running is Yes, Slave_SQL_Running is No and there are no errors.

PRIVILEGES
This plugin executes the following commands against MySQL:

•   "SHOW SLAVE STATUS [NONBLOCKING|NOLOCK]"

This plugin executes no UNIX commands that may need special privileges.

COPYRIGHT, LICENSE, AND WARRANTY
This program is copyright 2012-$CURRENT_YEAR$ Baron Schwartz, 2012-$CURRENT_YEAR$ Percona Inc. Feedback and improvements are welcome.

THIS PROGRAM IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2. You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.

VERSION
$PROJECT_NAME$ pmp-check-mysql-replication-running $VERSION$